package com.ruoyi.project.pssr.mapper;

import java.util.List;
import com.ruoyi.framework.aspectj.lang.annotation.DataScope;
import com.ruoyi.project.pssr.domain.TPssrLighting;

/**
 * 照明Mapper接口
 *
 * @author ssy
 * @date 2024-09-18
 */
public interface TPssrLightingMapper
{
    /**
     * 查询照明
     *
     * @param id 照明ID
     * @return 照明
     */
    public TPssrLighting selectTPssrLightingById(Long id);
    public int selectNoConfirmCount(Long subId);

    /**
     * 查询照明列表
     *
     * @param tPssrLighting 照明
     * @return 照明集合
     */
    
    public List<TPssrLighting> selectTPssrLightingList(TPssrLighting tPssrLighting);

    /**
     * 新增照明
     *
     * @param tPssrLighting 照明
     * @return 结果
     */
    public int insertTPssrLighting(TPssrLighting tPssrLighting);

    /**
     * 修改照明
     *
     * @param tPssrLighting 照明
     * @return 结果
     */
    public int updateTPssrLighting(TPssrLighting tPssrLighting);
    public int updateTPssrLightingByIds(TPssrLighting tPssrLighting);


    /**
     * 删除照明
     *
     * @param id 照明ID
     * @return 结果
     */
    public int deleteTPssrLightingById(Long id);

    /**
     * 批量删除照明
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTPssrLightingByIds(Long[] ids);
}
